Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class TraversableRectangleFigure

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.RectangleFigure
                  org.eclipse.contribution.visualiser.views.TraversableRectangleFigure

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

public class TraversableRectangleFigure
extends org.eclipse.draw2d.RectangleFigure

Extended draw2d's RectangleFigure to add keyboard traversal capability

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`TraversableRectangleFigure(java.util.Hashtable rectangleTable)` The constructor

Method Summary
`org.eclipse.draw2d.Figure` | `getDownComponent()` Returns the downComponent.
`org.eclipse.draw2d.Figure` | `getLeftComponent()` Returns the leftComponent.
`org.eclipse.draw2d.Figure` | `getRightComponent()` Returns the rightComponent.
`org.eclipse.draw2d.Figure` | `getUpComponent()` Returns the upComponent.
`void` | `handleFocusGained(org.eclipse.draw2d.FocusEvent event)` Focus is given to this figure - outlines the figure in the view
`void` | `handleFocusLost(org.eclipse.draw2d.FocusEvent event)` Focus is lost by the figure - removes the outline.
`boolean` | `isToolTipShowing()` Returns true if the tooltip is showing for this figure
`void` | `setDownComponent(org.eclipse.draw2d.Figure downComponent)`
`void` | `setLeftComponent(org.eclipse.draw2d.Figure leftComponent)`
`void` | `setRightComponent(org.eclipse.draw2d.Figure rightComponent)`
`void` | `setUpComponent(org.eclipse.draw2d.Figure upComponent)`
`void` | `showToolTip()` Show the tooltip for this figure

Methods inherited from class org.eclipse.draw2d.Shape
`getLineStyle, getLineWidth, isOpaque, paintFigure, setFill, setFillXOR, setLineStyle, setLineWidth, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure
`add, add, add, add, addAncestorListener, addFigureListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, isEnabled, isFocusTraversable, isRequestFocusEnabled, isVisible, paint, remove, removeAll, removeAncestorListener, removeFigureListener, removeFocusListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setUpdateManager, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraversableRectangleFigure

    public TraversableRectangleFigure(java.util.Hashtable rectangleTable)

  The constructor

Parameters:
  `rectangleTable` -

Method Detail

### handleFocusGained

    public void handleFocusGained(org.eclipse.draw2d.FocusEvent event)

  Focus is given to this figure - outlines the figure in the view

### handleFocusLost

    public void handleFocusLost(org.eclipse.draw2d.FocusEvent event)

  Focus is lost by the figure - removes the outline.

### isToolTipShowing

    public boolean isToolTipShowing()

  Returns true if the tooltip is showing for this figure

  Returns:

### showToolTip

    public void showToolTip()

  Show the tooltip for this figure

### getUpComponent

    public org.eclipse.draw2d.Figure getUpComponent()

  Returns the upComponent.

  Returns:

### setUpComponent

    public void setUpComponent(org.eclipse.draw2d.Figure upComponent)

  Parameters:
    `upComponent` - The upComponent to set.

### getDownComponent

    public org.eclipse.draw2d.Figure getDownComponent()

  Returns the downComponent.

  Returns:

### setDownComponent

    public void setDownComponent(org.eclipse.draw2d.Figure downComponent)

  Parameters:
    `downComponent` - The downComponent to set.

### getLeftComponent

    public org.eclipse.draw2d.Figure getLeftComponent()

  Returns the leftComponent.

  Returns:

### setLeftComponent

    public void setLeftComponent(org.eclipse.draw2d.Figure leftComponent)

  Parameters:
    `leftComponent` - The leftComponent to set.

### getRightComponent

    public org.eclipse.draw2d.Figure getRightComponent()

  Returns the rightComponent.

  Returns:

### setRightComponent

    public void setRightComponent(org.eclipse.draw2d.Figure rightComponent)

  Parameters:
    `rightComponent` - The rightComponent to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD